package main

import (
	"flag"
	"fmt"
	"git.insit.tech/psa/rtsp_reader-writer/writer/internal/config"
	"git.insit.tech/psa/rtsp_reader-writer/writer/internal/ingest/rtsp"
	"git.insit.tech/sas/rtsp_proxy/core/log"
)

func main() {
	directory := flag.String("dir", "/home/psa/GoRepository", "directory")
	flag.Parse()

	// Parse camera links from YAML file into struct Cameras.
	cams, err := config.ParseCamerasYAML(*directory)
	if err != nil {
		panic(err)
	}

	Log := log.MainLogging("/home/psa/GoRepository/" + "/data/" + "camera54-centr-kirova-kalinina")

	// Connect to each camera.
	for _, link := range cams {
		fmt.Printf("process camera:\n %s\n", link)

		go func() {
			err = rtsp.StartWriter(*directory, 60, link, Log)
			if err != nil {
				fmt.Printf("procRTSP function error for camera %s: %s", link, err.Error())
			}
		}()
	}
	select {}
}
